DocumentNavigationExtensionConstants (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.intermediate.extensions

## Interface DocumentNavigationExtensionConstants

- All Known Implementing Classes:
    DocumentNavigationHandler, GoToXYAction, URIAction

      public interface DocumentNavigationExtensionConstants

  Constants for the IF document-level navigation extension.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlgraphics.util.QName` | `BOOKMARK` the bookmark element
    `static org.apache.xmlgraphics.util.QName` | `BOOKMARK_TREE` the bookmark-tree element
    `static org.apache.xmlgraphics.util.QName` | `GOTO_URI` the goto-uri element
    `static org.apache.xmlgraphics.util.QName` | `GOTO_XY` the goto-xy element
    `static org.apache.xmlgraphics.util.QName` | `LINK` the link element
    `static org.apache.xmlgraphics.util.QName` | `NAMED_DESTINATION` the named-destination element
    `static java.lang.String` | `NAMESPACE` Namespace URI for the document navigation namespace
    `static java.lang.String` | `PREFIX` Default Namespace prefix for the document navigation namespace

- - ### Field Detail

    - #### NAMESPACE

          static final java.lang.String NAMESPACE

      Namespace URI for the document navigation namespace
      See Also:
        Constant Field Values

    - #### PREFIX

          static final java.lang.String PREFIX

      Default Namespace prefix for the document navigation namespace
      See Also:
        Constant Field Values

    - #### BOOKMARK_TREE

          static final org.apache.xmlgraphics.util.QName BOOKMARK_TREE

      the bookmark-tree element

    - #### BOOKMARK

          static final org.apache.xmlgraphics.util.QName BOOKMARK

      the bookmark element

    - #### NAMED_DESTINATION

          static final org.apache.xmlgraphics.util.QName NAMED_DESTINATION

      the named-destination element

    - #### LINK

          static final org.apache.xmlgraphics.util.QName LINK

      the link element

    - #### GOTO_XY

          static final org.apache.xmlgraphics.util.QName GOTO_XY

      the goto-xy element

    - #### GOTO_URI

          static final org.apache.xmlgraphics.util.QName GOTO_URI

      the goto-uri element

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.